Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.afp.goca
Class GraphicsCharacterString

    java.lang.Object
      org.apache.fop.afp.modca.AbstractAFPObject
          org.apache.fop.afp.goca.AbstractGraphicsDrawingOrder
              org.apache.fop.afp.goca.AbstractGraphicsCoord
                  org.apache.fop.afp.goca.GraphicsCharacterString

All Implemented Interfaces:
  Streamable, StructuredData

public class GraphicsCharacterString
extends AbstractGraphicsCoord

A GOCA graphics string

Nested Class Summary

Nested classes inherited from class org.apache.fop.afp.modca.AbstractAFPObject
`AbstractAFPObject.Category, AbstractAFPObject.Type`

Field Summary
`protected static int` | `MAX_STR_LEN` Up to 255 bytes of character data
`protected java.lang.String` | `str` the string to draw

Fields inherited from class org.apache.fop.afp.goca.AbstractGraphicsCoord
`coords, relative`

Fields inherited from class org.apache.fop.afp.modca.AbstractAFPObject
`log, SF_CLASS, SF_HEADER`

Constructor Summary
`GraphicsCharacterString(java.lang.String str)` Constructor (relative positioning)
`GraphicsCharacterString(java.lang.String str, int x, int y)` Constructor (absolute positioning)

Method Summary
`int` | `getDataLength()` Returns the data length of this structured field
`java.lang.String` | `toString()`
`void` | `writeToStream(java.io.OutputStream os)` DataStream objects must implement the writeToStream() method to write its data to the given OutputStream

Methods inherited from class org.apache.fop.afp.goca.AbstractGraphicsCoord
`addCoords, isRelative`

Methods inherited from class org.apache.fop.afp.goca.AbstractGraphicsDrawingOrder
`getName`

Methods inherited from class org.apache.fop.afp.modca.AbstractAFPObject
`copyChunks, copySF, copySF, truncate, writeChunksToStream, writeObjects`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MAX_STR_LEN

    protected static final int MAX_STR_LEN

  Up to 255 bytes of character data

  See Also:
    Constant Field Values

### str

    protected final java.lang.String str

  the string to draw

Constructor Detail

### GraphicsCharacterString

    public GraphicsCharacterString(java.lang.String str,
                                   int x,
                                   int y)

  Constructor (absolute positioning)

Parameters:
  `str` - the character string
  `x` - the x coordinate
  `y` - the y coordinate

### GraphicsCharacterString

    public GraphicsCharacterString(java.lang.String str)

  Constructor (relative positioning)

Parameters:
  `str` - the character string

Method Detail

### getDataLength

    public int getDataLength()

  Returns the data length of this structured field

  Specified by:
    `getDataLength` in interface `StructuredData`
  Overrides:
    `getDataLength` in class `AbstractGraphicsCoord`

### writeToStream

    public void writeToStream(java.io.OutputStream os)
                       throws java.io.IOException

  DataStream objects must implement the writeToStream() method to write its data to the given OutputStream

  Specified by:
    `writeToStream` in interface `Streamable`
  Overrides:
    `writeToStream` in class `AbstractGraphicsCoord`
  Throws:
    `java.io.IOException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `AbstractGraphicsCoord`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.